Changes between Version 19 and Version 20 of PythonOcc/primitives


Ignore:
Timestamp:
Nov 13, 2013, 7:08:21 PM (6 years ago)
Author:
ptomsic
Comment:

--

Legend:

Unmodified
Added
Removed
Modified
  • PythonOcc/primitives

    v19 v20  
    251251== Uporaba geometrijskih primitivov ==
    252252
    253 Izdelava kvadra
     253Izdelava kvadra [[Image(Kvader.png, right)]]
    254254{{{
    255255#!python
     
    258258kvader = BRepPrimAPI_MakeBox(Tocka1, Tocka2)
    259259}}}
    260 [[Image(Kvader.png)]]
    261 
    262260Z ukazom [http://opencascade.sourcearchive.com/documentation/6.3.0.dfsg.1/classBRepPrimAPI__MakeBox.html BRepPrimAPI__MakeBox] izdelamo tridimenzionalni model oblike kvadra. Pri tem lahko uporabimo več različnih argumentov:
    263261 * (dolzina_X, dolzina_Y, dolzina_Z) ... kvader določimo z razdaljami posameznih robov[[BR]][[BR]]
    264262 * (Tocka1, dolzina_X, dolzina_Y, dolzina_Z) ... kvader se prične izrisovati od točke 1 (X,Y,Z) dalje inje določen z razdaljami posameznih robov[[BR]][[BR]]
    265263 * (Tocka 1, Tocka2) ... kvader določimo s koordinatami dveh točk, ki ježita v nasproti ležečih ogliščih
    266 
    267 Izdelava izvleka pod kotom nagiba
     264[[BR]][[BR]][[BR]][[BR]][[BR]][[BR]]
     265
     266
     267Izdelava izvleka pod kotom nagiba [[Image(Kvader-nagib.png, right)]]
    268268{{{
    269269#!python
     
    273273kvader= BRepPrimAPI_MakeWedge(dolzina_X, dolzina_Y, dolzina_Z, dolzina_X/2, dolzina_Z/2, dolzina_X/2, dolzina_Z/2)
    274274}}}
    275 [[Image(Kvader-nagib.png)]]
    276 
    277275Z ukazom [http://opencascade.sourcearchive.com/documentation/6.3.0.dfsg.1/classBRepPrimAPI__MakeWedge.html BRepPrimAPI__MakeWedge] izdelamo tridimenzionalni model oblike kvadra s koti nagiba. Pri tem lahko uporabimo več različnih argumentov:
    278276 * (dolzina_X, dolzina_Y, dolzina_Z, dolzina_X2) ... določimo razdalje posameznih robov kvadra, ter dimenzijo spremenjenega roba X[[BR]][[BR]]
     
    280278 * (dolzina_X, dolzina_Y, dolzina_Z, dolzina_X/2, 0, dolzina_X/2, dolzina_Z) ... določimo razdalje posameznih robov kvadra, ter dimenzijo spremenjenega roba Z[[BR]][[BR]]
    281279 * (dolzina_X, dolzina_Y, dolzina_Z, dolzina_X/2, dolzina_Z/2, dolzina_X/2, dolzina_Z/2)... določimo razdalje posameznih robov kvadra, preostali argumenti nam podajo obliko piramide
    282 
    283 Izdelava valja
     280[[BR]][[BR]][[BR]]
     281
     282
     283Izdelava valja [[Image(Valj.png, right)]]
    284284{{{
    285285#!python
     
    287287valj= BRepPrimAPI_MakeCylinder(Os, Radij, Visina, Kot_radiani)
    288288}}}
    289 [[Image(Valj.png)]]
    290 
    291289Z ukazom [http://opencascade.sourcearchive.com/documentation/6.3.0.dfsg.1/classBRepPrimAPI__MakeCylinder.html BRepPrimAPI__MakeCylinder] izdelamo tridimenzionalni model oblike valja. Pri tem lahko uporabimo več različnih argumentov:
    292290 * (Radij, Visina) ... izdelamo valj z določenim radijem in višino
     
    300298os = gp_Ax2(Tocka, normala)     #definicija osi
    301299}}}
    302 
    303 Izdelava stožca
     300[[BR]][[BR]][[BR]][[BR]][[BR]]
     301
     302
     303Izdelava stožca [[Image(Stozec.png, right)]]
    304304{{{
    305305#!python
     
    307307stozec= BRepPrimAPI_MakeCone(Os, Radij_1, Radij_2, Visina, Kot_radiani)
    308308}}}
    309 [[Image(Stozec.png)]]
    310309Z ukazom [http://opencascade.sourcearchive.com/documentation/6.3.0.dfsg.1/classBRepPrimAPI__MakeCone.html BRepPrimAPI__MakeCone] izdelamo tridimenzionalni model oblike stožca. Pri tem lahko uporabimo več različnih argumentov:
    311310 * (Radij_1, Radij_2, Visina) ... izdelamo stožec z osnovo radija 1 ter na višini H z radijem 2[[BR]][[BR]]
    312311 * (Radij_1, Radij_2, Visina, Kot_radiani) ... izdelamo delni stožec, določen s kotom, z osnovo radija 1 ter na višini H z radijem 2[[BR]][[BR]]
    313312 * (Os, Radij_1, Radij_2, Visina, Kot_radiani) ... izdelamo delni stožec okoli izbrane osi, določen s kotom, z osnovo radija 1 ter na višini H z radijem 2
    314 
    315 Izdelava sfere
     313[[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]]
     314
     315
     316Izdelava sfere [[Image(Sfera.png, right)]]
    316317{{{
    317318#!python
     
    320321sphere= BRepPrimAPI_MakeSphere(Radij, Kot_a1_rad, Kot_a2_rad, Kot_radiani)
    321322}}}
    322 [[Image(Sfera.png)]]
    323 
    324323Z ukazom [http://opencascade.sourcearchive.com/documentation/6.3.0.dfsg.1/classBRepPrimAPI__MakeSphere.html BRepPrimAPI__MakeSphere] izdelamo tridimenzionalni model oblike sfere. Pri tem lahko uporabimo več različnih argumentov:
    325324 * (Radij) ... izdelave sfere z radijem
     
    327326 * (Radij, Kot_a1_rad, Kot_a2_rad) ... izdelave sfere, ki ima odstanjen sredinski del pod kotom 1 in kotom 2[[BR]][[BR]]
    328327 * (Radij, Kot_a1_rad, Kot_a2_rad, Kot_radiani) ... izdelave delne sfere, ki ima odstanjen sredinski del pod kotom 1 in kotom 2
    329 
    330 
    331 Izdelava torusa
     328[[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]]
     329
     330Izdelava torusa [[Image(Torus.png, right)]]
    332331{{{
    333332#!python
     
    336335torus= BRepPrimAPI_MakeTorus(Radij_torusa, Radij_prereza, Kot_a1_rad, Kot_a2_rad)
    337336}}}
    338 [[Image(Torus.png)]]
    339 
    340337Z ukazom [http://opencascade.sourcearchive.com/documentation/6.3.0.dfsg.1/classBRepPrimAPI__MakeTorus.html BRepPrimAPI__MakeTorus] izdelamo tridimenzionalni model oblike torusa. Pri tem lahko uporabimo več različnih argumentov:
    341338 * (Radij_torusa, Radij_prereza) ... izdelava torusa s središčnim radijem ter polmerom prereza[[BR]][[BR]]
    342339 * (Radij_torusa, Radij_prereza, Kot_radiani) ... izdelava delnega torusa s središčnim radijem ter polmerom prereza[[BR]][[BR]]
    343340 * (Radij_torusa, Radij_prereza, Kot_a1_rad, Kot_a2_rad) ... izdelava delnega torusa, ki ima odstanjen sredinski del pod kotom 1 in kotom 2
    344 
    345 
    346 Izdelava izvleka
     341[[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]]
     342
     343
     344Izdelava izvleka [[Image(Izvlek_2.png, right)]]
    347345{{{
    348346#!python
     
    350348Izvlek = BRepPrimAPI_MakePrism(Povrsina , Smer)
    351349}}}
    352 [[Image(Izvlek_2.png)]]
    353 
    354350Z ukazom [http://opencascade.sourcearchive.com/documentation/6.3.0.dfsg.1/classBRepPrimAPI__MakePrism.html BRepPrimAPI__MakePrism] izdelamo tridimenzionalni prizmatični model. Pri tem lahko uporabimo več različnih argumentov:
    355351 * (Povrsina , Vektor) ... izberemo obstoječo površino ter jo izvlečemo za velikost vektorja
    356352 * (Povrsina , Smer) ... izberemo obstoječo površino ter jo izvlečemo v željeni smeri
    357 
    358 Izdelava krožnega izvleka
     353[[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]]
     354
     355
     356Izdelava krožnega izvleka [[Image(Izvlek_krozni.png, right)]]
    359357{{{
    360358#!python
     
    362360Vrtenina = BRepPrimAPI_MakeRevol(Povrsina , Os, Kot_radiani)
    363361}}}
    364 [[Image(Izvlek_krozni.png)]]
    365 
    366362Z ukazom [http://opencascade.sourcearchive.com/documentation/6.3.0.dfsg.1/classBRepPrimAPI__MakeRevol.html BRepPrimAPI__MakeRevol] izdelamo tridimenzionalni osnosimetričnimodel. Pri tem lahko uporabimo več različnih argumentov:
    367363 * (Povrsina , Os) ... zavrtimo izbrano površino okoli osi
    368364 * (Povrsina , Os, Kot_radiani) ... zavrtimo izbrano površino za kot okoli osi
    369 
     365[[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]]
    370366----
    371367
    372368== Uporaba menijev znotraj prikaznega okna ==
    373  [[Image(Meniji.png)]]
     369[[Image(Meniji.png, right)]]
    374370
    375371Najprej je potrebno definirati funkcije, ki izvršijo ukaz (izdelajo neko obliko). Pri tem pred izrisom oblike počistimo modelno okno obstoječih oblik z ukazom [display.EraseAll()].
     
    389385add_function_to_menu('Ime_menija',Funkcija2)
    390386}}}
     387[[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]]
     388
    391389
    392390== Boolova algebra ==